/*	$Id: pom.c 2007/06/24 00:16:04 mallet $ */

/*
 * Copyright (c) 2006 LAAS/CNRS                       --  Tue Aug  1 2006
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

#include <portLib.h>

#include "server/hrp2Header.h"


/* --- hrp2PomGetPanTiltLink ----------------------------------------- */

/** \brief Compute euler transformation from pan and tilt angles
 *
 * \param[in] pan	Pan angle
 * \param[in] tilt	Tilt angle
 * \param[out] e	Euler transformation
 *
 * \return OK or ERROR
 */

STATUS
hrp2PomGetPanTiltLink(double pan, double tilt, POM_EULER_V *e)
{
  e->euler.yaw = pan;
  e->euler.pitch = tilt;
  e->euler.roll = 0.;

  e->euler.x = 0.;
  e->euler.y = 0.;
  e->euler.z = 0.;

  memset(&e->var, 0, sizeof(e->var));
  return OK;
}
